.pedigree {
    display: flex;
    align-items: center;
    padding-bottom: 15px;
}

/*wrappery*/
.pedigree-individual-parent {
    display: inline-flex;
    align-items: center;
    position: relative;
}

.pedigree-individual-box {
    padding-right: 7px;
    padding-left: 5px;
    position: relative;
}

 .pedigree-parent-box {
    display: flex;
    flex-direction: column;
    padding-left: 10px;
    position: relative;
}

/*jedinci*/
.pedigree-individual {
    border: 1px solid var(--bulma-grey);
    position: relative;
    width: 325px;
    padding: 5px 10px;
}
.pedigree-individual .is-small {
    font-size: 0.8em;
}
.pedigree-link-to-stock {
    display: block;
    font-weight: bold;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

/*vertikalni spojovniky*/
/*dopocitat right a top podle finalni sirky (height))*/
.pedigree-individual:not(.pedigree-leaf)::after {
    content: "";
    position: absolute;
    top: calc(50% - 1.5px);
    right: -12px;
    width: 10px;
    height: 3px;
    background: var(--bulma-primary);
}

.pedigree-parent-box .pedigree-individual::before {
    content: "";
    position: absolute;
    top: calc(50% - 1.5px);
    left: -12px;
    width: 11px;
    height: 3px;
    background: var(--bulma-primary);
}

/*vertical connector*/
.pedigree-individual-parent:not(:first-child):not(:last-child):not(:only-child)::before {
    content: "";
    position: absolute;
    left: -6px;
    top: 0;
    height: 100%;
    width: 3px;
    background: var(--bulma-primary);
}
.pedigree-individual-parent:not(.pedigree-single-branch):not(:only-child):first-child::before {
    content: "";
    position: absolute;
    left: -6px;
    bottom: 0;
    height: 50%;
    width: 3px;
    background: var(--bulma-primary);
}
.pedigree-individual-parent:not(.pedigree-single-branch):not(:only-child):last-child::before {
    content: "";
    position: absolute;
    left: -6px;
    top: 0;
    height: 50%;
    width: 3px;
    background: var(--bulma-primary);
}
